Date: Thu,  9 Dec 2010 14:39:15 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2FFullTextSearchPlugin 7755 2010-12-09 13:39:40Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2FFullTextSearchPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~FullTextSearch** [[Help:WikiPlugin|plugin]] searches the content of all pages in this wiki.

== Usage ==
{{{
<<FullTextSearch arguments>>
}}}

== Arguments ==

All [[Help:PageList|PageList]] arguments, plus the following ones.

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **s**
| The search term
| //none//
|-
| **hilight**
| Highlight results (boolean)
| true
|-
| **case_exact**
| Search with case exact (boolean)
| false
|-
| **regex**
| Type of regular expression used for searching
| auto
|-
| **sortby**
| Sorting order for results
| ~-hi_content
|-
| **noheader**
| Do not display header (boolean)
| false
|-
| **exclude**
| Comma-seperated list of glob to exclude
| false
|-
| **quiet**
| Be less verbose (boolean)
| true
|}

== Example ==

{{{
<<FullTextSearch>>
}}}

<<FullTextSearch>>

== Author ==
* [[PhpWiki:ReiniUrban|Reini Urban]]

== See Also ==
* [[Help:TitleSearchPlugin]]
* [[Help:ExternalSearchPlugin]]
* [[Help:InterWikiSearchPlugin]]

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
